Debian Bug report logs - #684331
Video out media-key doesn't work as expected

version graph

Package: gnome-shell; Maintainer for gnome-shell is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gnome-shell is src:gnome-shell.

Reported by: Stefan Nagy <public@stefan-nagy.at>

Date: Wed, 8 Aug 2012 19:42:05 UTC

Severity: normal

Tags: fixed-upstream, upstream

Found in version gnome-shell/3.4.2-16

Fixed in version gnome-shell/3.8.4-4

Done: Stefan Nagy <public@stefan-nagy.at>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.gnome.org/show_bug.cgi?id=687068, merged-upstream: http://bugzilla.gnome.org/show_bug.cgi?id=643111

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#684331; Package gnome-settings-daemon. (Wed, 08 Aug 2012 19:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 08 Aug 2012 19:42:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-settings-daemon: Media-key to switch to external monitor doesn't work
Date: Wed, 08 Aug 2012 21:40:01 +0200
Package: gnome-settings-daemon
Version: 3.4.2-4+b1
Severity: normal

Dear Maintainer,

I have a hotkey/multimedia key/action key (Fn+F4) on my notebook's keyboard to
switch to external monitors/projectors etc. I thought it would be a normal
XF86Display-key so what I expected was something like this:
https://live.gnome.org/RandR#Handling_of_the_XF86Display_hotkey

While trying to define a custom keybinding I realized that this action key is
mapped to Super+P. In the meantime I read some bug reports like
https://bugzilla.gnome.org/show_bug.cgi?id=651571 with users complaining that
Super+P is a hardcoded shortcut (VIDEO_OUT_KEY) but shouldn't be. In dconf
editor I can see that in "org.gnome.settings-daemon.plugins.media-keys" "video-
out" is set to "<Super>p".

So from what I read my 'switch to external monitor'-key should just work –
but it doesn't…

Regards,
Stefan.



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-settings-daemon depends on:
ii  dconf-gsettings-backend [gsettings-backend]  0.12.1-2
ii  dpkg                                         1.16.4.3
ii  gsettings-desktop-schemas                    3.4.2-1
ii  libatk1.0-0                                  2.4.0-2
ii  libc6                                        2.13-33
ii  libcairo-gobject2                            1.12.2-2
ii  libcairo2                                    1.12.2-2
ii  libcanberra-gtk3-0                           0.28-4
ii  libcanberra0                                 0.28-4
ii  libcolord1                                   0.1.21-1
ii  libcomerr2                                   1.42.4-3
ii  libcups2                                     1.5.3-1
ii  libdbus-glib-1-2                             0.100-1
ii  libfontconfig1                               2.9.0-6
ii  libgcrypt11                                  1.5.0-3
ii  libgdk-pixbuf2.0-0                           2.26.1-1
ii  libglib2.0-0                                 2.32.3-1
ii  libgnome-desktop-3-2                         3.4.2-1
ii  libgnomekbd7                                 3.4.0.2-1
ii  libgnutls26                                  2.12.20-1
ii  libgssapi-krb5-2                             1.10.1+dfsg-2
ii  libgtk-3-0                                   3.4.2-2
ii  libgudev-1.0-0                               175-3.1
ii  libk5crypto3                                 1.10.1+dfsg-2
ii  libkrb5-3                                    1.10.1+dfsg-2
ii  liblcms2-2                                   2.2+git20110628-2.2
ii  libnotify4                                   0.7.5-1
ii  libnspr4                                     2:4.9.1-1
ii  libnspr4-0d                                  2:4.9.1-1
ii  libnss3                                      2:3.13.5-1
ii  libnss3-1d                                   2:3.13.5-1
ii  libpackagekit-glib2-14                       0.7.5-2
ii  libpango1.0-0                                1.30.0-1
ii  libpolkit-gobject-1-0                        0.105-1
ii  libpulse-mainloop-glib0                      2.0-3
ii  libpulse0                                    2.0-3
ii  libsqlite3-0                                 3.7.13-1
ii  libupower-glib1                              0.9.17-1
ii  libwacom2                                    0.5-1
ii  libx11-6                                     2:1.5.0-1
ii  libxfixes3                                   1:5.0-4
ii  libxi6                                       2:1.6.1-1
ii  libxklavier16                                5.2.1-1
ii  libxtst6                                     2:1.2.1-1
ii  nautilus-data                                3.4.2-1
ii  zlib1g                                       1:1.2.7.dfsg-13

Versions of packages gnome-settings-daemon recommends:
ii  pulseaudio  2.0-3

Versions of packages gnome-settings-daemon suggests:
ii  gnome-screensaver            3.4.1-1
ii  metacity [x-window-manager]  1:2.34.3-2
ii  x11-xserver-utils            7.7~3

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#684331; Package gnome-settings-daemon. (Sun, 28 Oct 2012 21:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Nagy <public@stefan-nagy.at>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 28 Oct 2012 21:15:04 GMT) Full text and rfc822 format available.

Message #10 received at 684331@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: 684331@bugs.debian.org
Date: Sun, 28 Oct 2012 22:13:43 +0100
It took me some time to find out that the video-out hotkey works when I
hold it down for a second or so. But no matter if I hold it down for
some time or not: I'd always get a 'p'.

For example: Let's say I want to change the video mode while writing
this message in Evolution. I'm using my external monitor, the notebook
monitor is deactivated. Now, I hold down the video-out hotkey for a
second or so and get the mirrored view as expected (the notebook monitor
gets activated and I see the same output on both monitors). But in
addition I get a 'p' in this message, right after the last word I wrote
before I switched to the other video mode.

Another way to change the video mode is to double-press the hotkey – it
works just like double clicking. And: I get just one 'p' (and not two as
expected). When I press the video-out hotkey once (and avoid holding it
down for a second or so) I just get one 'p' without any video mode
change. 

Now, I don't know what to do: obviously my original report was wrong but
there's still a bug… Should I close this report and open a new one?




Changed Bug title to 'Video out media-key doesn't work as expected' from 'gnome-settings-daemon: Media-key to switch to external monitor doesn't work' Request was from Stefan Nagy <public@stefan-nagy.at> to control@bugs.debian.org. (Sun, 28 Oct 2012 22:21:07 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=687068'. Request was from Stefan Nagy <public@stefan-nagy.at> to control@bugs.debian.org. (Sun, 28 Oct 2012 22:21:08 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Stefan Nagy <public@stefan-nagy.at> to control@bugs.debian.org. (Sun, 28 Oct 2012 22:21:08 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=687068, merged-upstream: http://bugzilla.gnome.org/show_bug.cgi?id=643111' from 'https://bugzilla.gnome.org/show_bug.cgi?id=687068' Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 14 Jan 2013 17:03:19 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 14 Mar 2013 17:06:39 GMT) Full text and rfc822 format available.

Bug reassigned from package 'gnome-settings-daemon' to 'gnome-shell'. Request was from Stefan Nagy <public@stefan-nagy.at> to control@bugs.debian.org. (Mon, 18 Nov 2013 20:21:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions gnome-settings-daemon/3.4.2-4. Request was from Stefan Nagy <public@stefan-nagy.at> to control@bugs.debian.org. (Mon, 18 Nov 2013 20:21:06 GMT) Full text and rfc822 format available.

Marked as found in versions gnome-shell/3.4.2-16. Request was from Stefan Nagy <public@stefan-nagy.at> to control@bugs.debian.org. (Mon, 18 Nov 2013 20:21:06 GMT) Full text and rfc822 format available.

Reply sent to Stefan Nagy <public@stefan-nagy.at>:
You have taken responsibility. (Mon, 18 Nov 2013 20:36:11 GMT) Full text and rfc822 format available.

Notification sent to Stefan Nagy <public@stefan-nagy.at>:
Bug acknowledged by developer. (Mon, 18 Nov 2013 20:36:11 GMT) Full text and rfc822 format available.

Message #31 received at 684331-done@bugs.debian.org (full text, mbox):

From: Stefan Nagy <public@stefan-nagy.at>
To: 684331-done@bugs.debian.org
Date: Mon, 18 Nov 2013 21:31:59 +0100
Package: gnome-shell
Version: 3.8.4-4

This bug was fixed in GNOME 3.8, for more information see
https://bugzilla.gnome.org/show_bug.cgi?id=643111




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Dec 2013 07:27:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:53:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.